<template>
  <div>
    <!-- 信息 -->
    <el-card style="margin-top: 15px">
      <el-descriptions :column="5" border>
        <el-descriptions-item :label="$t('自编号')">{{ shipmentObj.selfNo }}</el-descriptions-item>
        <el-descriptions-item :label="$t('运输方式')">
          <dict-tag :type="DICT_TYPE.ECW_TRANSPORT_TYPE" :value="shipmentObj.transportType" />
        </el-descriptions-item>
        <el-descriptions-item :label="$t('始发地')">
          {{ importCityName(shipmentObj.startWarehouseId) }}
        </el-descriptions-item>
        <el-descriptions-item :label="$t('目的地')">
          {{ importCityName(shipmentObj.destWarehouseId) }}
        </el-descriptions-item>
      </el-descriptions>
    </el-card>
  </div>
</template>

<script>
import { getMergePkgList, createMergePkg } from "@/api/ecw/boxAir"
export default {
  data() {
    return {
      // 出货信息
      shipmentObj: this.$attrs.shipmentObj
    }
  },
  created() {
    console.log(this.$attrs)
  },
  methods: {
    /* 获取仓库 */
    importCityName(id) {
      var arr = this.$attrs.warehouseList.filter((item) => item.id == id)
      return arr.length > 0 ? this.$l(arr[0], 'title') : '/'
    }
  }
}
</script>

<style>
</style>